Bug 492898 - Review Request: griffith - Media collection manager
Review Request: griffith - Media collection manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 11:53 EDT by Simon
Modified: 2009-05-09 00:02 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.10-0.1.beta2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-09 00:02:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon 2009-03-30 11:53:14 EDT
Spec URL: 
http://cassmodiah.fedorapeople.org/griffith-0.9.9/griffith.spec

SRPM URL:
http://cassmodiah.fedorapeople.org/griffith-0.9.9/griffith-0.9.9-1.fc11.src.rpm

Description:
Griffith is a media collection manager application. 
Adding items to the collection is as quick and easy as typing the film title 
and selecting a supported source. Griffith will then try to fetch all the 
related information from the Web.

This Version comes with SQLite support. You need to install
 * the package "MySQL-python" for MySQL-support
 * the package "python-psycopg2" for PostgreSQL-support
Comment 1 Orcan Ogetbil 2009-04-13 05:19:15 EDT
I reviewed this package. There are a few minor things to go over:

* The binary .mo files need to be removed in %prep and be built from the source .po files.

* lib/sqlalchemy shouldn't be packaged since it is a duplicate of the python-sqlalchemy package.

! I don't think issuing "make" is necessary. It doesn't build anything. Hence the %build section should be empty.

! Please make the description span 80 columns, AND/OR separate new paragraphs by blank lines.

! Normally, I prefer supplying such wrapper scripts as separate sources. This is also useful to preserve the original creation date. Since it is such a small and trivial script in this case, it shouldn't matter. But I leave it up to your consideration.
Comment 2 Simon 2009-04-14 04:00:57 EDT
update to 0.10-beta2
without internal dependency sqlalchemy
needs sqlalchemy 0.5 or higher
works well in rawhide

SPEC
http://cassmodiah.fedorapeople.org/griffith-0.10-beta2/griffith.spec

SRPM
http://cassmodiah.fedorapeople.org/griffith-0.10-beta2/griffith-0.10-0.1+beta2.fc10.src.rpm

for F11 or higher only
Comment 3 Orcan Ogetbil 2009-04-14 16:29:11 EDT
You will need to replace the + in the release field with a .

The guidelines say:
"the period '.' should be used as the delimiter between the release number increment, and the non-numeric version string."

ref: http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages


Otherwise the package is good to go. Please do the above change before you commit.

-------------------------------------------
This package (griffith) is APPROVED by oget
-------------------------------------------
Comment 4 Simon 2009-04-14 17:08:22 EDT
thank you very much for your review, Orcan!
yeah i will replace the + with the . before i commit

New Package CVS Request
=======================
Package Name: griffith
Short Description: Media collection manager
Owners: cassmodiah
Branches: F11
InitialCC:
Comment 5 Rahul Sundaram 2009-04-16 00:12:49 EDT
Just a note that I had already submitted griffith long before you did at 

https://bugzilla.redhat.com/show_bug.cgi?id=458402

Overriding it by submitting a different review request just means that quite a bit of work has been duplicated which is unfortunate. In the normal course, I would have just marked it as a duplicate but since it has been already approved, maybe you can compare the spec and see if there any useful improvements you can copy?
Comment 6 Orcan Ogetbil 2009-04-16 00:53:48 EDT
Oops, we (me and Simon) both missed that. Comparing the SRPM's I see that both has its advantages. Rahul's package has the extra artwork (but its source should be mentioned in the SPEC file). On the other hand, Simon's package does not duplicate the python-sqlalchemy package. 

I can revoke my approval. But since this one passed the review already, would you like to maintain it together? It's Rahul's call, I'm fine either way.
Comment 7 Rahul Sundaram 2009-04-16 00:59:12 EDT
I have no personal interest in it. Someone asked in Fedora India list and I offered to do it with them. If you can integrate the useful portions of my spec file such as the extra artwork, that would be nice. Can be done post import as well. 

Artwork source is the same place as the software itself

http://download.berlios.de/griffith/griffith-extra-artwork-0.9.4.tar.gz
Comment 8 Kevin Fenzi 2009-04-17 12:47:17 EDT
cvs done.
Comment 9 Simon 2009-04-17 16:06:55 EDT
thank you Kevin.

I will take a look next week to include the artwork. 

Thank you for your hint Rahul
Comment 10 Rahul Sundaram 2009-04-17 16:12:21 EDT
*** Bug 458402 has been marked as a duplicate of this bug. ***
Comment 11 Fedora Update System 2009-04-17 16:35:19 EDT
griffith-0.10-0.1.beta2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/griffith-0.10-0.1.beta2.fc11
Comment 12 Fedora Update System 2009-05-09 00:02:51 EDT
griffith-0.10-0.1.beta2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.